com.impinj.stp

## Interface StpApi.AntennasConfigOrBuilder

- All Superinterfaces:
    com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder
  All Known Implementing Classes:
    StpApi.AntennasConfig, StpApi.AntennasConfig.Builder
  Enclosing class:
    StpApi

      public static interface StpApi.AntennasConfigOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `StpApi.AntennaConfig` | `getAntennaConfig(int index)` The device will cycle through the configurations in the order in which they appear in the list.
    `int` | `getAntennaConfigCount()` The device will cycle through the configurations in the order in which they appear in the list.
    `java.util.List<StpApi.AntennaConfig>` | `getAntennaConfigList()` The device will cycle through the configurations in the order in which they appear in the list.
    `StpApi.AntennaConfigOrBuilder` | `getAntennaConfigOrBuilder(int index)` The device will cycle through the configurations in the order in which they appear in the list.
    `java.util.List<? extends StpApi.AntennaConfigOrBuilder>` | `getAntennaConfigOrBuilderList()` The device will cycle through the configurations in the order in which they appear in the list.

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

- - ### Method Detail

    - #### getAntennaConfigList

          java.util.List<StpApi.AntennaConfig> getAntennaConfigList()

      The device will cycle through the configurations in the order in which they appear in the list. The amount of time spent on each antenna is determined by the reader, but constrained by the minimum_dwell_time and maximum_dwell_time if those parameters are set. It is valid to provide multiple AntennaConfig messages that contain the same antenna_id in which case they will simply be treated as independent AntennaConfig entries.

    - #### getAntennaConfig

          StpApi.AntennaConfig getAntennaConfig(int index)

      The device will cycle through the configurations in the order in which they appear in the list. The amount of time spent on each antenna is determined by the reader, but constrained by the minimum_dwell_time and maximum_dwell_time if those parameters are set. It is valid to provide multiple AntennaConfig messages that contain the same antenna_id in which case they will simply be treated as independent AntennaConfig entries.

    - #### getAntennaConfigCount

          int getAntennaConfigCount()

      The device will cycle through the configurations in the order in which they appear in the list. The amount of time spent on each antenna is determined by the reader, but constrained by the minimum_dwell_time and maximum_dwell_time if those parameters are set. It is valid to provide multiple AntennaConfig messages that contain the same antenna_id in which case they will simply be treated as independent AntennaConfig entries.

    - #### getAntennaConfigOrBuilderList

          java.util.List<? extends StpApi.AntennaConfigOrBuilder> getAntennaConfigOrBuilderList()

      The device will cycle through the configurations in the order in which they appear in the list. The amount of time spent on each antenna is determined by the reader, but constrained by the minimum_dwell_time and maximum_dwell_time if those parameters are set. It is valid to provide multiple AntennaConfig messages that contain the same antenna_id in which case they will simply be treated as independent AntennaConfig entries.

    - #### getAntennaConfigOrBuilder

          StpApi.AntennaConfigOrBuilder getAntennaConfigOrBuilder(int index)

      The device will cycle through the configurations in the order in which they appear in the list. The amount of time spent on each antenna is determined by the reader, but constrained by the minimum_dwell_time and maximum_dwell_time if those parameters are set. It is valid to provide multiple AntennaConfig messages that contain the same antenna_id in which case they will simply be treated as independent AntennaConfig entries.